Create Revit API Solid

Hello, I am generating Revit Geometries and I am deleting also another geometries within a volume.
To delete these geometries i am using:

box_filter = DB.ElementIntersectsSolidFilter(solid, False)
collector = DB.FilteredElementCollector(doc).WherePasses(box_filter).ToElements()
del = [doc.Delete(ele.Id) for ele in collector]

Is there a way to generate solids using the Revit API, for instance extruding some lines or stuff like that? The problem is I am using Rhino-inside not Dynamo, so I can not create the solids using Dynamo.

Hi,

I think you might use the Direct Shape class, it is difficult to know without more information…

Hope that helps,

Mark